All resources All frames

# CacheFilter

...description...

## Inherits

The CacheFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The CacheFilter defines the following attributes:

- maxSize
- maxEntries
- defaultMaxAge

`maxSize`

semantics
  ....
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 8192.

`maxEntries`

semantics
  ....
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to -1.

`defaultMaxAge`

semantics
  ....
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 300.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.CacheFilter.html,v 1.4 1998/09/04 14:08:42 bmahe Exp $